package service

const (
	extTopic = ".topic"
	extGroup = ".group"
)

// 每个服务都有自己的服务topic
func Topic(s IService) string {
	return s.Name() + extTopic
}

func TopicEx(serviceName string) string {
	return serviceName + extTopic
}

func GroupTopic(s IService) string {
	return s.Type() + extTopic
}

func GroupQueue(s IService) string {
	return s.Type() + extGroup
}
